SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUClassificationsRef Struct Reference

Used to manage a Classifications object. More...

`#include <SketchUpAPI/model/classifications.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUClassificationsLoadSchema (SUClassificationsRef classifications, const char *schema_file_name)
| Loads a schema into a classifications object. More...
enum SUResult | SUClassificationsGetSchema (SUClassificationsRef classifications, const char *schema_name, SUSchemaRef *schema_ref)
| Gets a schema from a classifications object. More...
enum SUResult | SUClassificationsGetNumSchemas (SUClassificationsRef classifications, size_t *num_schemas)
| Gets the number of schemata from a classifications object. More...
enum SUResult | SUClassificationsGetSchemas (SUClassificationsRef classifications, size_t len, SUSchemaRef schemas[], size_t *count)
| Retrieves the schemas in the classifications object. More...

## Detailed Description

Used to manage a Classifications object.

## Friends And Related Function Documentation

enum SUResult SUClassificationsGetNumSchemas | ( | SUClassificationsRef | classifications,
|  | size_t * | num_schemas
| ) |  |
| related

Gets the number of schemata from a classifications object.

Since
  SketchUp 2022.0, API 10.0

Parameters

  [in] | classifications | The classifications object.
  [out] | num_schemas | The number of schemas in the classifications object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `classifications` is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if `num_schemas` is NULL

enum SUResult SUClassificationsGetSchema | ( | SUClassificationsRef | classifications,
|  | const char * | schema_name,
|  | SUSchemaRef * | schema_ref
| ) |  |
| related

Gets a schema from a classifications object.

Parameters

  [in] | classifications | The classifications object.
  [in] | schema_name | The name of the schema to get.
  [out] | schema_ref | The schema retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if classifications is not a valid object
  - SU_ERROR_NULL_POINTER_INPUT if schema_name is NULL
  - SU_ERROR_INVALID_INPUT if schema_name is not a loaded schema
  - SU_ERROR_NULL_POINTER_OUTPUT if schema_ref is NULL

enum SUResult SUClassificationsGetSchemas | ( | SUClassificationsRef | classifications,
|  | size_t | len,
|  | SUSchemaRef | schemas[],
|  | size_t * | count
| ) |  |
| related

Retrieves the schemas in the classifications object.

Since
  SketchUp 2022.0, API 10.0

Parameters

  [in] | classifications | The classifications object.
  [in] | len | The number of schemas to retrieve.
  [out] | schemas | The schemas retrieved.
  [out] | count | The number of schemas retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `classifications` is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if `schemas` or `count` is NULL
  - SU_ERROR_NO_DATA if `len` is greater than 0, but no schemas were found in `classifications`

enum SUResult SUClassificationsLoadSchema | ( | SUClassificationsRef | classifications,
|  | const char * | schema_file_name
| ) |  |
| related

Loads a schema into a classifications object.

Parameters

  [in] | classifications | The classificationss object.
  [in] | schema_file_name | The full path of the schema to load.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if classifications is not a valid object
  - SU_ERROR_INVALID_INPUT if schema_file_name is not a valid path to a schema or is NULL

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/classifications.h